<!DOCTYPE html>
<html lang="en">

<head>
  <title>Task 38.40</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body>
  <div class="container">
    <div class="text-center mt-3 mb-3">
      <h2>Item List</h2>
    </div>
    <div class="jumbotron container">
      <form id="item-form">
        <div class="form-group">
          <label for="item-input">Item:</label>
          <input type="text" class="form-control" id="item-input" placeholder="Enter an item">
        </div>
        <button type="submit" class="btn btn-primary">Add Item</button>
      </form>
      <button id="clear-button" class="btn btn-danger mt-3">Clear Data</button>
    </div>
    <div class="container mt-2">
      <ul id="item-list" class="list-group">
        <!-- Item list will be dynamically populated here -->
      </ul>
    </div>
  </div>

  <script>
    $(document).ready(function () {
      // Load items from local storage and display them
      loadItems();

      // Handle form submit event
      $("#item-form").submit(function (event) {
        event.preventDefault();
        addItem();
      });

      // Handle clear button click event
      $("#clear-button").click(function () {
        clearItems();
      });
    });

    function loadItems() {
      var items = getItemsFromLocalStorage();
      displayItems(items);
    }

    function addItem() {
      var itemInput = $("#item-input");
      var itemText = itemInput.val().trim();

      if (itemText !== "") {
        var item = {
          text: itemText,
          timestamp: new Date().getTime()
        };

        var items = getItemsFromLocalStorage();
        items.push(item);
        saveItemsToLocalStorage(items);

        displayItem(item);

        itemInput.val("");
      }
    }

    function clearItems() {
      clearItemsFromLocalStorage();
      $("#item-list").empty();
    }

    function getItemsFromLocalStorage() {
      var itemsJson = localStorage.getItem("items");
      if (itemsJson) {
        return JSON.parse(itemsJson);
      }
      return [];
    }

    function saveItemsToLocalStorage(items) {
      var itemsJson = JSON.stringify(items);
      localStorage.setItem("items", itemsJson);
    }

    function clearItemsFromLocalStorage() {
      localStorage.removeItem("items");
    }

    function displayItems(items) {
      for (var i = 0; i < items.length; i++) {
        displayItem(items[i]);
      }
    }

    function displayItem(item) {
      var listItem = $("<li/>").addClass("list-group-item").text(item.text);
      $("#item-list").append(listItem);
    }
  </script>
</body>

</html>
